Summary: Manage Sieve daemon for dovecot
Name: dovecot-managesieve
Version: 0.11.13
Release: 0_6%{?dist}
License: LGPLv2.1
Group: System Environment/Daemons
URL: http://pigeonhole.dovecot.org/
Source0: http://www.rename-it.nl/dovecot/1.2/dovecot-1.2-managesieve-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: dovecot-devel >= 1.2
BuildRequires: dovecot-sieve-devel
BuildRequires: openssl-devel
Requires: dovecot >= 1.2

%description
This package provides the Manage Sieve daemon for dovecot.

%prep
%setup -q -n dovecot-1.2-managesieve-%{version}

%build
# crude hack ...
sed -i -e 's:\$dovecotdir/src:\$dovecotdir:g' \
  -e 's:dovecot_incdir=.*:dovecot_incdir=%{_includedir}/dovecot:' \
  -e 's:src/lib-sieve/sieve.c:lib-sieve/sieve.h:' \
  -e 's:_INCLUDE=\$dovecot_sievedir/src/lib-sieve:_INCLUDE=\$dovecot_sievedir/lib-sieve:' \
  -e 's:_LIB=\$dovecot_sievedir/src/lib-sieve:_LIB=%{_libdir}/dovecot/lib-sieve:' \
  -e 's:libsieve.la:libsieve.a:' configure

for f in `find . -name 'Makefile.in'`;
do
    sed -i -e 's:-I\$(dovecot_incdir)/src:-I\$(dovecot_incdir):g' \
      -e 's:\$(dovecot_incdir)/src:%{_libdir}/dovecot:g' $f
done
%configure --with-dovecot=%{_includedir}/dovecot \
  --with-dovecot-sieve=%{_includedir}/dovecot \
  INSTALL_DATA="install -c -p -m644" \
  --disable-static

make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libexecdir}/dovecot/managesieve
%{_libexecdir}/dovecot/managesieve-login

%changelog
* Sun Nov 13 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.11.13-0_6
- Update to 0.11.13.

* Mon Oct 18 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.11.12-0_5
- Update to 0.11.12.

* Mon Jan 25 2010 Angel Marin <anmar@anmar.eu.org> - 0.11.11-0_4
- Update to 0.11.11

* Mon Dec 21 2009 Angel Marin <anmar@anmar.eu.org> - 0.11.10-0_3
- Update to 0.11.10.

* Thu Dec 17 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.11.9-0_2
- Several specfile fixes/updates by Angel Marin <anmar@anmar.eu.org>.

* Sat Apr 18 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.11.3-0_1
- Initial build.

